org.wildfly.swarm.microprofile.openapi.api.models.responses

## Class APIResponseImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.responses.APIResponseImpl

- All Implemented Interfaces:
    ModelImpl

      public class APIResponseImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `APIResponse` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `APIResponseImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `APIResponse` | `addHeader(String name, Header header)`
    `APIResponse` | `addLink(String name, Link link)`
    `APIResponse` | `content(Content content)`
    `APIResponse` | `description(String description)`
    `Content` | `getContent()`
    `String` | `getDescription()`
    `Map<String,Header>` | `getHeaders()`
    `Map<String,Link>` | `getLinks()`
    `String` | `getRef()`
    `APIResponse` | `headers(Map<String,Header> headers)`
    `APIResponse` | `links(Map<String,Link> links)`
    `APIResponse` | `ref(String ref)`
    `void` | `setContent(Content content)`
    `void` | `setDescription(String description)`
    `void` | `setHeaders(Map<String,Header> headers)`
    `void` | `setLinks(Map<String,Link> links)`
    `void` | `setRef(String ref)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### APIResponseImpl

          public APIResponseImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public APIResponse ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#setDescription(java.lang.String)`

    - #### description

          public APIResponse description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#description(java.lang.String)`

    - #### getHeaders

          public Map<String,Header> getHeaders()

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#getHeaders()`

    - #### setHeaders

          public void setHeaders(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#setHeaders(java.util.Map)`

    - #### headers

          public APIResponse headers(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#headers(java.util.Map)`

    - #### addHeader

          public APIResponse addHeader(String name,
                                       Header header)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#addHeader(java.lang.String, org.eclipse.microprofile.openapi.models.headers.Header)`

    - #### getContent

          public Content getContent()

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#getContent()`

    - #### setContent

          public void setContent(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#setContent(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### content

          public APIResponse content(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#content(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### getLinks

          public Map<String,Link> getLinks()

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#getLinks()`

    - #### setLinks

          public void setLinks(Map<String,Link> links)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#setLinks(java.util.Map)`

    - #### links

          public APIResponse links(Map<String,Link> links)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#links(java.util.Map)`

    - #### addLink

          public APIResponse addLink(String name,
                                     Link link)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponse#addLink(java.lang.String, org.eclipse.microprofile.openapi.models.links.Link)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.